Page MenuHomePhabricator

Update OpenStackManager to use AuthManager
Closed, ResolvedPublic

Description

Needs a way to interact with LdapAuthentication when it is the primary provider.

Related Objects

StatusAssignedTask
ResolvedDeskana
ResolvedAnomie
OpenNone
ResolvedAnomie
OpenNone
ResolvedTgr
ResolvedAnomie
OpenNone
OpenNone
OpenNone
Resolveddemon
ResolvedTgr
ResolvedNone
Resolved Mattflaschen-WMF
ResolvedTgr
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
Resolved bd808

Event Timeline

Tgr created this task.Aug 26 2015, 6:35 AM
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Tgr added subscribers: Aklapper, Tgr.
Liuxinyu970226 set Security to None.Sep 4 2015, 9:22 AM
Anomie added a subscriber: Anomie.May 11 2016, 9:13 PM

The hard part is done with the merge of rEOSTca5602fbc403: Adjust to changes to LdapAuthentication in preparation for AuthManager. The one bit remaining is the use of the AbortNewAccount hook, which technically should be turned into a PreAuthenticationProvider but I'm somewhat inclined to just let LegacyHookPreAuthenticationProvider handle this one until OpenStackManager is killed.

Should we be lazy, or should we do the PreAuthenticationProvider?

Note that "do the PreAuthenticationProvider" probably also wants it converted to use extension.json so we can use a callback to check $wgDisableAuthManager at the right time.

Tgr added a comment.May 12 2016, 12:18 AM

I don't see much point in doing it if the extension is about to be abandoned anyway.

Anomie closed this task as Resolved.May 17 2016, 6:24 PM
Anomie claimed this task.

Ok, let's declare victory here.

Tgr added a comment.Jun 8 2016, 4:43 PM

The one bit remaining is the use of the AbortNewAccount hook, which technically should be turned into a PreAuthenticationProvider but I'm somewhat inclined to just let LegacyHookPreAuthenticationProvider handle this one until OpenStackManager is killed.

That didn't work out because the extension used some LdapAuthentication proxy hooks (e.g. LDAPModifyUITemplate instead of UserLoginForm) and those got disabled when LdapAuthentication was updated.

Change 293130 had a related patch set uploaded (by Gergő Tisza):
Preserve shell account field for AuthManager

https://gerrit.wikimedia.org/r/293130

Change 293130 merged by jenkins-bot:
Preserve shell account field for AuthManager

https://gerrit.wikimedia.org/r/293130

Change 293431 had a related patch set uploaded (by Gergő Tisza):
Preserve shell account field for AuthManager

https://gerrit.wikimedia.org/r/293431

Change 293431 merged by jenkins-bot:
Preserve shell account field for AuthManager

https://gerrit.wikimedia.org/r/293431

Change 296515 had a related patch set uploaded (by Gergő Tisza):
Preserve shell account field for AuthManager

https://gerrit.wikimedia.org/r/296515

Change 296515 merged by jenkins-bot:
Preserve shell account field for AuthManager

https://gerrit.wikimedia.org/r/296515